clear all
close all
clc

format shorteng
set(0,'DefaultAxesColorOrder',[0 0 0;1 0.5 0;0 0 1;56/255 176/255 222/255; 255/255 20/255 147/255; 1 1 0; 160/255 32/255 240/255; 139/255 69/255 19/255; 1 0 0; 0 1 0],...
      'DefaultAxesLineStyleOrder',{'-','--'})

%__________________________________________________________________________
% Input parameters: Set the value equal to 1 to activate
%--------------------------------------------------------------------------
% Plot the time versus force 
plot_time_vs_force = 0; % One plot for each friction parameter
multiplot_time_vs_force = 0;  % Plots all curves in the same chart.

%Plot time versus end shortening of the pipe core
plot_time_vs_endshort = 0; % One plot for each friction parameter
multiplot_time_vs_endshort = 0; % Plots all curves in the same chart

% Plot end shortening of nodisp-x versus force
plot_endshort_vs_force = 0; % One plot for each friction parameter
multiplot_endshort_vs_force = 0; % Plots all graphs in the same chart

% Lager plot med justert endshortening.
% deltajuster = 1;

% Makes vertical lines for the plot when buckling has occured.
plot_time_vs_force_final = 0; % Plots which stops after byuckling has occured.
multiplot_time_vs_force_final = 0; % Plots all plots in the same chart

% Makes vertical lines for the plot when buckling has occured
plot_time_vs_endshort_final = 0;
multiplot_time_vs_endshort_final = 0;

% Makes vertical lines for the plot when buckling has occured
plot_endshort_vs_force_final = 0;
multiplot_endshort_vs_force_final = 0;

% Justerer endshortening i core for  gjelde i lay1.
adjust_endshort = 1;
plot_adjust_endshort_vs_force = 0;
multiplot_endshort_adjusted_vs_force = 1;

% 
plotmultinewdisp = 0; 
plotnewest = 0;
plotnewestmulti = 0;

% Input om antall analyser og ytre trykk
nant = 20;          % Total number of analysis to make graphs from
pext1 = 2;          % External pressure for the first 10 graphs
pext2 = 4;          % External pressure for the last 10 graph
singlehigh = 0;     % If set to 1 plots will be saved as 600 dpi .png
adjust = 1;

%--------------------------------------------------------------------------
%__________________________________________________________________________

% Tomme matriser som blir brukt senere i scriptet
y = [];
y1 = [];
y2 = [];
ysum = [];
x = [];
x1 = [];
x2 = [];
l = [];
plength = [];
plength1 = [];
plength2 = [];
deltaeps = [];
endshort = [];
kforcefac = zeros(nant,1);

% Filnavnene som blir brukt senere i scriptet
slash = '/matrixplots_original/';
core = 'mplot_oc-forcx-core';
lay1 = 'mplot_oc-forcx-lay1';
lay2 = 'mplot_oc-forcx-lay2';
nodisp = 'mplot_oc-nodispx';
epsxlay1 = 'mplot_oc-epsxx-lay1';
epsxcore = 'mplot_oc-epsxx';

% Filnavn som bli brukt p lagrede grafer
layers = 'layers';

vaz = 'Single_Time_vs_Force';
vaz1 = 'Multi_Time_vs_Force_';

nyvaz11 = 'Single_Time_vs_Endshort';
nyvaz12 = 'Multi_Time_vs_Endshort_';

nyvaz21 = 'Single_Endshort_vs_Force';
nyvaz22 = 'Multi_Endshort_vs_Force_';

nyvaz31 = 'Single_Adjusted_Endshort_vs_Force';
nyvaz32 = 'Multi_Adjusted_Endshort_vs_Force_';

nyvaz41 = 'Final_Single_Time_vs_Force';
nyvaz42 = 'Final_Multi_Time_vs_Force_';

nyvaz51 = 'Final_Single_Time_vs_Endshort';
nyvaz52 = 'Final_Multi_Time_vs_Endshort_';

nyvaz61 = 'Final_Endshort_vs_Force';
nyvaz62 = 'Final_Multi_Endshort_vs_Force_';

vaz2 = 'vazplot_endshortening';
vaz3 = 'vazplot_endshortwbuckle';
vaz4 = 'zgraph_final';
vaz5 = 'zgraph_new';
vaz6 = 'zgraph_newest';
vaz7 = 'agraph_new';
vaz8 = 'agraph_multi';
mpf = '.mpf';
jpg = '.jpeg';
png = '.png';
mpa = 'MPa';
nr = '_nr';
analysenavn = 'analyse';
pres1 = num2str(pext1);
pres2 = num2str(pext2);





% Start p lkke som gr gjennom alle nant mappene

for j = 1:nant

% File identifiers settes til 0 for hver mappe som trunkeres
fid = 0;
fad = 0;
fud = 0;
fed = 0;
fyd = 0;
fod = 0;

% Tall brukt for  g gjennom mappene automatisk
tall = j;
mappenr = num2str(j);
mappenavn = [analysenavn mappenr];

% Variabler for skriving av filnavn
filnavn1 = [core mpf];
filnavn2 = [lay1 mpf];
filnavn3 = [lay2 mpf];
filnavn4 = [nodisp mpf];
filnavn5 = [epsxlay1 mpf];
filnavn6 = [epsxcore mpf];

% Variabler for skriving av filnavn
grafnavn1 = [mappenavn slash filnavn1];
grafnavn2 = [mappenavn slash filnavn2];
grafnavn3 = [mappenavn slash filnavn3];
grafnavn4 = [mappenavn slash filnavn4];
grafnavn5 = [mappenavn slash filnavn5];
grafnavn6 = [mappenavn slash filnavn6];

% pner filene fra BFLEX2010 analysene
fid = fopen(grafnavn1,'rt'); % Tid vs kraft for core
fad = fopen(grafnavn2,'rt'); % Tid vs kraft for lay1
fud = fopen(grafnavn3,'rt'); % Tid vs kraft for lay2
fed = fopen(grafnavn4,'rt'); % Tid vs nodal displacement in x-direction
fyd = fopen(grafnavn5,'rt'); % Tid vs forskyvning lay1
fod = fopen(grafnavn6,'rt'); % Tid vs forskyvning core

% Teller antall linjer i textfilen
nLines = 0;
while (fgets(fid) ~= -1),
  nLines = nLines+1;
end
plength(j) = nLines-9;
nLines1 = 0;
while (fgets(fad) ~= -1),
  nLines1 = nLines1+1;
end
plength1(j) = nLines1-9;
nLines2 = 0;
while (fgets(fud) ~= -1),
  nLines2 = nLines2+1;
end
plength2(j) = nLines2-9;
nlinjer = 0;
while (fgets(fed) ~= -1),
  nlinjer = nlinjer+1;
end
noflines = 0;
while (fgets(fed) ~= -1),
  noflines = noflines+1;
end
nroflines = 0;
while (fgets(fed) ~= -1),
  nroflines = nroflines+1;
end

% For  f avlesingen av filene riktig
fseek(fid,0,-1);
fseek(fid,8,'cof');
fseek(fad,0,-1);
fseek(fad,8,'cof');
fseek(fud,0,-1);
fseek(fud,8,'cof');
fseek(fed,0,-1);
fseek(fed,8,'cof');
fseek(fyd,8,'cof');
fseek(fod,8,'cof');
teller = 0;

% Gr gjennom hver linje i filen og henter ut data
for i = 1:nLines

    if i < 9
        tstring = fgets(fid);
        tstring1 = fgets(fad);
        tstring2 = fgets(fud);
        dxstring = fgets(fed);
        exstring = fgets(fyd);
        cxstring = fgets(fod);
    else
        teller = teller + 1;
        nstring = fgets(fid);
        nstring1 = fgets(fad);
        nstring2 = fgets(fud);
        if teller == 1
            x(j,teller) = 0.1;
            x1(j,teller) = 0.1;
            x2(j,teller) = 0.1;
        else
            x(j,teller) = teller-1;
            x1(j,teller) = teller-1;
            x2(j,teller) = teller-1;
        end
        yc = nstring(27:38);
        yc1 = nstring1(27:38);
        yc2 = nstring2(27:38);
        
        y(j,teller) = str2num(yc);
        y1(j,teller) = str2num(yc1);
        y2(j,teller) = str2num(yc2);
        
        dstring = fgets(fed);
        lc = dstring(27:38);
        l(j,teller) = str2num(lc);
        
        estring = fgets(fyd);
        lec = estring(27:38);
        le(j,teller) = str2num(lec);
        
        cstring = fgets(fod);
        cc = cstring(27:38);
        ce(j,teller) = str2num(cc);
        
        sign = nstring(26);
        sign1 = nstring1(26);
        sign2 = nstring2(26);
        sign3 = dstring(26);
        sign4 = estring(26);
        sign5 = cstring(26);
        
        if sign == '-'
            y(j,teller) = y(j,teller) * -1;
        end
        if sign1 == '-'
            y1(j,teller) = y1(j,teller) * -1;
        end
        if sign2 == '-'
            y2(j,teller) = y2(j,teller) * -1;
        end
        if sign3 == '-'
            l(j,teller) = l(j,teller) * -1;
        end
        if sign4 == '-'
            le(j,teller) = le(j,teller) * -1;
        end
        if sign5 == '-'
            ce(j,teller) = ce(j,teller) * -1;
        end
        
        ysum(j,teller) = y(j,teller)+y1(j,teller)+y2(j,teller);
    end

end

% Bruker bare absoluttverdien av forskyvningen
l = abs(l);
le = abs(le); 
ce = abs(ce);

% Begynner  lage plot
if plot_time_vs_force == 1
    plot(x(j,1:plength(j)),ysum(j,1:plength(j)));
    axis('tight');
    if j < 11
        ttekst1 = 'BFLEX 2010 - Time versus axial force all layers - External pressure ';
        trykk = num2str(pext1);
        ttekst2 = ' MPa';
        title([ttekst1 trykk ttekst2])
    else
        ttekst1 = 'BFLEX 2010 - Time versus axial force all layers - External pressure ';
        trykk = num2str(pext2);
        ttekst2 = ' MPa';
        title([ttekst1 trykk ttekst2])
    end
    xlabel('Time [s]')
    ylabel('Force [MN]')
    if j == 1 || j == 11
        legend('Friction 0.00','Location', 'NorthWest');
    elseif j == 2 || j == 12
        legend('Friction 0.01','Location', 'NorthWest');
    elseif j == 3 || j == 13
        legend('Friction 0.02','Location', 'NorthWest');
    elseif j == 4 || j == 14
        legend('Friction 0.04','Location', 'NorthWest');
    elseif j == 5 || j == 15
        legend('Friction 0.06','Location', 'NorthWest');        
    elseif j == 6 || j == 16
        legend('Friction 0.08','Location', 'NorthWest');  
    elseif j == 7 || j == 17
        legend('Friction 0.10','Location', 'NorthWest');  
    elseif j == 8 || j == 18
        legend('Friction 0.15','Location', 'NorthWest');        
    elseif j == 9 || j == 19
        legend('Friction 0.20','Location', 'NorthWest');  
    elseif j == 10 || j == 20
        legend('Friction 0.40','Location', 'NorthWest');  
    end

    % Endre filnavn
    if singlehigh == 1;
    savename2 = [vaz nr mappenr png];
    print(gcf,'-dpng',[savename2],'-r600')   
    else
    savename1 = [vaz nr mappenr jpg];
    saveas(gcf,[savename1])
    end

end

if plot_time_vs_endshort == 1
    plot(x(j,1:plength(j)),ce(j,1:plength(j)));
    axis('tight');
    if j < 11
        ttekst1 = 'BFLEX 2010 - Time versus end shortening in core - External pressure ';
        trykk = num2str(pext1);
        ttekst2 = ' MPa';
        title([ttekst1 trykk ttekst2])
    else
        ttekst1 = 'BFLEX 2010 - Time versus end shortening in core - External pressure ';
        trykk = num2str(pext2);
        ttekst2 = ' MPa';
        title([ttekst1 trykk ttekst2])
    end
    xlabel('Time (s)')
    ylabel('End shortening (%\DeltaL/L)')
    if j == 1 || j == 11
        legend('Friction 0.00','Location', 'NorthWest');
    elseif j == 2 || j == 12
        legend('Friction 0.01','Location', 'NorthWest');
    elseif j == 3 || j == 13
        legend('Friction 0.02','Location', 'NorthWest');
    elseif j == 4 || j == 14
        legend('Friction 0.04','Location', 'NorthWest');
    elseif j == 5 || j == 15
        legend('Friction 0.06','Location', 'NorthWest');        
    elseif j == 6 || j == 16
        legend('Friction 0.08','Location', 'NorthWest');  
    elseif j == 7 || j == 17
        legend('Friction 0.10','Location', 'NorthWest');  
    elseif j == 8 || j == 18
        legend('Friction 0.15','Location', 'NorthWest');        
    elseif j == 9 || j == 19
        legend('Friction 0.20','Location', 'NorthWest');  
    elseif j == 10 || j == 20
        legend('Friction 0.40','Location', 'NorthWest');  
    end
    
    % Endre filnavn
    if singlehigh == 1;
    savename2 = [nyvaz11 nr mappenr png];
    print(gcf,'-dpng',[savename2],'-r600')   
    else
    savename1 = [nyvaz11 nr mappenr jpg];
    saveas(gcf,[savename1])
    end

end

 if plot_endshort_vs_force == 1
    plot(ce(j,1:plength(j)),ysum(j,1:plength(j)));
    axis('tight');
    if j < 11
        ttekst1 = 'BFLEX 2010 - End shortening versus axial force all layers - External pressure ';
        trykk = num2str(pext1);
        ttekst2 = ' MPa';
        title([ttekst1 trykk ttekst2])
    else
        ttekst1 = 'BFLEX 2010 - End shortening versus axial force all layers - External pressure ';
        trykk = num2str(pext2);
        ttekst2 = ' MPa';
        title([ttekst1 trykk ttekst2])
    end
    xlabel('End shortening (%\DeltaL/L)')
    ylabel('Force [MN]')
    if j == 1 || j == 11
        legend('Friction 0.00','Location', 'NorthWest');
    elseif j == 2 || j == 12
        legend('Friction 0.01','Location', 'NorthWest');
    elseif j == 3 || j == 13
        legend('Friction 0.02','Location', 'NorthWest');
    elseif j == 4 || j == 14
        legend('Friction 0.04','Location', 'NorthWest');
    elseif j == 5 || j == 15
        legend('Friction 0.06','Location', 'NorthWest');        
    elseif j == 6 || j == 16
        legend('Friction 0.08','Location', 'NorthWest');  
    elseif j == 7 || j == 17
        legend('Friction 0.10','Location', 'NorthWest');  
    elseif j == 8 || j == 18
        legend('Friction 0.15','Location', 'NorthWest');        
    elseif j == 9 || j == 19
        legend('Friction 0.20','Location', 'NorthWest');  
    elseif j == 10 || j == 20
        legend('Friction 0.40','Location', 'NorthWest');  
    end

    % Endre filnavn
    if singlehigh == 1;
    savename2 = [nyvaz21 nr mappenr png];
    print(gcf,'-dpng',[savename2],'-r600')   
    else
    savename1 = [nyvaz21 nr mappenr jpg];
    saveas(gcf,[savename1])
    end
 end

fclose(fid);
fclose(fad);
fclose(fed);
fclose(fud);
fclose(fyd);
fclose(fod);

end

% Start p multiplotting

if multiplot_time_vs_force == 1
    plot(x(1,1:plength(1)),ysum(1,1:plength(1)), x(2,1:plength(2)),ysum(2,1:plength(2)), x(3,1:plength(3)),ysum(3,1:plength(3)), x(4,1:plength(4)),ysum(4,1:plength(4)), x(5,1:plength(5)),ysum(5,1:plength(5)), x(6,1:plength(6)),ysum(6,1:plength(6)), x(7,1:plength(7)),ysum(7,1:plength(7)), x(8,1:plength(8)),ysum(8,1:plength(8)), x(9,1:plength(9)),ysum(9,1:plength(9)), x(10,1:plength(10)),ysum(10,1:plength(10)))
    axis([0 51 0 2]);
    ttekst1 = 'Time versus axial force all layers - External pressure ';
    trykk = num2str(pext1);
    ttekst2 = ' MPa';
    title([ttekst1 trykk ttekst2],'FontSize',12)
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('Time [s]')
    ylabel('Force [MN]')
    trykknavn2 = '-pekst=2';
    %multiname = [vaz1 trykknavn2 jpg];
    %saveas(gcf, [multiname]);
    trykket1 = num2str(pext1);
    mpasc = 'MPa';
    multiname1 = [vaz1 trykket1 mpasc png];
    print(gcf,'-dpng',[multiname1],'-r600')

    if nant > 10
    plot(x(11,1:plength(11)),ysum(11,1:plength(11)), x(12,1:plength(12)),ysum(12,1:plength(12)), x(13,1:plength(13)),ysum(13,1:plength(13)), x(14,1:plength(14)),ysum(14,1:plength(14)), x(15,1:plength(15)),ysum(15,1:plength(15)), x(16,1:plength(16)),ysum(16,1:plength(16)), x(17,1:plength(17)),ysum(17,1:plength(17)), x(18,1:plength(18)),ysum(18,1:plength(18)), x(19,1:plength(19)),ysum(19,1:plength(19)), x(20,1:plength(20)),ysum(20,1:plength(20)))
    axis([0 31 0 2.2]);
    ttekst1 = 'Time versus axial force all layers - External pressure ';
    trykk = num2str(pext2);
    ttekst2 = ' MPa';
    title([ttekst1 trykk ttekst2],'FontSize',12)
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('Time [s]')
    ylabel('Force [MN]')
    trykknavn4 = '-pekst=4';
    %multiname = [vaz1 trykknavn4 jpg];
    %saveas(gcf, [multiname]);
    trykket2 = num2str(pext2);
    mpasc = 'MPa';
    multiname1 = [vaz1 trykket2 mpasc png];
    print(gcf,'-dpng',[multiname1],'-r600')
    end
end

if multiplot_time_vs_endshort == 1
    plot(x(1,1:plength(1)),ce(1,1:plength(1)), x(2,1:plength(2)),ce(2,1:plength(2)), x(3,1:plength(3)),ce(3,1:plength(3)), x(4,1:plength(4)),ce(4,1:plength(4)), x(5,1:plength(5)),ce(5,1:plength(5)), x(6,1:plength(6)),ce(6,1:plength(6)), x(7,1:plength(7)),ce(7,1:plength(7)), x(8,1:plength(8)),ce(8,1:plength(8)), x(9,1:plength(9)),ce(9,1:plength(9)), x(10,1:plength(10)),ce(10,1:plength(10)))
    axis('tight');
    ttekst1 = 'BFLEX 2010 - Time versus end shortening in core - External pressure ';
    trykk = num2str(pext1);
    ttekst2 = ' MPa';
    title([ttekst1 trykk ttekst2])
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('Time (s)')
    ylabel('End shortening (%\DeltaL/L)')
    trykknavn2 = '-pekst=2';
    %multiname = [vaz1 trykknavn2 jpg];
    %saveas(gcf, [multiname]);
    trykket1 = num2str(pext1);
    mpasc = 'MPa';
    multiname2 = [nyvaz12 trykket1 mpasc png];
    print(gcf,'-dpng',[multiname2],'-r600')

    if nant > 10
    plot(x(11,1:plength(11)),ce(11,1:plength(11)), x(12,1:plength(12)),ce(12,1:plength(12)), x(13,1:plength(13)),ce(13,1:plength(13)), x(14,1:plength(14)),ce(14,1:plength(14)), x(15,1:plength(15)),ce(15,1:plength(15)), x(16,1:plength(16)),ce(16,1:plength(16)), x(17,1:plength(17)),ce(17,1:plength(17)), x(18,1:plength(18)),ce(18,1:plength(18)), x(19,1:plength(19)),ce(19,1:plength(19)), x(20,1:plength(20)),ce(20,1:plength(20)))
    axis('tight');
    ttekst1 = 'BFLEX 2010 - Time versus end shortening in core - External pressure ';
    trykk = num2str(pext2);
    ttekst2 = ' MPa';
    title([ttekst1 trykk ttekst2])
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('Time (s)')
    ylabel('End shortening (%\DeltaL/L)')
    trykknavn4 = '-pekst=4';
    %multiname = [vaz1 trykknavn4 jpg];
    %saveas(gcf, [multiname]);
    trykket2 = num2str(pext2);
    mpasc = 'MPa';
    multiname2 = [nyvaz12 trykket2 mpasc png];
    print(gcf,'-dpng',[multiname2],'-r600')
    end
end

if multiplot_endshort_vs_force == 1
    %plot(ce(1,1:plength(1)),ysum(1,1:plength(1)),'s-',ce(2,1:plength(2)),ysum(2,1:plength(2)),'o-',ce(3,1:plength(3)),ysum(3,1:plength(3)),'^-', ce(4,1:plength(4)),ysum(4,1:plength(4)),'v-', ce(5,1:plength(5)),ysum(5,1:plength(5)),'<-', ce(6,1:plength(6)),ysum(6,1:plength(6)),'>-', ce(7,1:plength(7)),ysum(7,1:plength(7)),'d-', ce(8,1:plength(8)),ysum(8,1:plength(8)),'p-', ce(9,1:plength(9)),ysum(9,1:plength(9)),'h-', ce(10,1:plength(10)),ysum(10,1:plength(10)),'*-')
    plot(ce(1,1:plength(1)),ysum(1,1:plength(1)),ce(2,1:plength(2)),ysum(2,1:plength(2)),ce(3,1:plength(3)),ysum(3,1:plength(3)),ce(4,1:plength(4)),ysum(4,1:plength(4)),ce(5,1:plength(5)),ysum(5,1:plength(5)),ce(6,1:plength(6)),ysum(6,1:plength(6)),ce(7,1:plength(7)),ysum(7,1:plength(7)),ce(8,1:plength(8)),ysum(8,1:plength(8)),ce(9,1:plength(9)),ysum(9,1:plength(9)), ce(10,1:plength(10)),ysum(10,1:plength(10)))
    axis('tight');
    ttekst1 = 'BFLEX 2010 - End shortening versus axial force all layers - External pressure ';
    trykk = num2str(pext1);
    ttekst2 = ' MPa';
    title([ttekst1 trykk ttekst2])    
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('End shortening (%\DeltaL/L)')
    ylabel('Force [MN]')
    trykket1 = num2str(pext1);
    mpasc = 'MPa';
    multiname3 = [nyvaz22 trykket1 mpasc png];
    print(gcf,'-dpng',[multiname3],'-r600')

    if nant > 10
    plot(ce(11,1:plength(11)),ysum(11,1:plength(11)), ce(12,1:plength(12)),ysum(12,1:plength(12)), ce(13,1:plength(13)),ysum(13,1:plength(13)), ce(14,1:plength(14)),ysum(14,1:plength(14)), ce(15,1:plength(15)),ysum(15,1:plength(15)), ce(16,1:plength(16)),ysum(16,1:plength(16)), ce(17,1:plength(17)),ysum(17,1:plength(17)), ce(18,1:plength(18)),ysum(18,1:plength(18)), ce(19,1:plength(19)),ysum(19,1:plength(19)), ce(20,1:plength(20)),ysum(20,1:plength(20)))
    axis('tight');
    ttekst1 = 'BFLEX 2010 - End shortening versus axial force all layers - External pressure ';
    trykk = num2str(pext2);
    ttekst2 = ' MPa';
    title([ttekst1 trykk ttekst2])   
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('End shortening (%\DeltaL/L)')
    trykket2 = num2str(pext2);
    mpasc = 'MPa';
    multiname3 = [nyvaz22 trykket2 mpasc png];
    print(gcf,'-dpng',[multiname3],'-r600')
    end
end






% if plotmultinewdisp == 1
% 
%     plot(le(1,1:maxcoord(1,1)),ysum(1,1:maxcoord(1,1)),le(2,1:maxcoord(2,1)),ysum(2,1:maxcoord(2,1)),le(3,1:maxcoord(3,1)),ysum(3,1:maxcoord(3,1)),le(4,1:maxcoord(4,1)),ysum(4,1:maxcoord(4,1)),le(5,1:maxcoord(5,1)),ysum(5,1:maxcoord(5,1)),le(6,1:maxcoord(6,1)),ysum(6,1:maxcoord(6,1)),le(7,1:maxcoord(7,1)),ysum(7,1:maxcoord(7,1)),le(8,1:maxcoord(8,1)),ysum(8,1:maxcoord(8,1)),le(9,1:maxcoord(9,1)),ysum(9,1:maxcoord(9,1)),le(10,1:maxcoord(10,1)),ysum(10,1:maxcoord(10,1)))
%     h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
%     title('BFLEX 2010 - Compressive load versus end shortening - Pext = 2 MPa')
%     xlabel('End shortening (%\DeltaL/L)')
%     ylabel('Force [MN]')
%     axis([0 0.35 0 3.5]);
%     hold on
%     plot(xevalue(1,:),bvalue(1,:),'s-',xevalue(2,:),bvalue(2,:),'o-',xevalue(3,:),bvalue(3,:),'^-',xevalue(4,:),bvalue(4,:),'v-',xevalue(5,:),bvalue(5,:),'<-',xevalue(6,:),bvalue(6,:),'>-',xevalue(7,:),bvalue(7,:),'d-',xevalue(8,:),bvalue(8,:),'p-',xevalue(9,:),bvalue(9,:),'h-',xevalue(10,:),bvalue(10,:),'*-')
% 
%     trykknavn2 = '-pekst=2';
%     multiname = [vaz6 trykknavn2 jpg];
%     saveas(gcf, [multiname]);
%     hold off
% 
%     if nant > 10
%     plot(le(11,1:maxcoord(11,1)),ysum(11,1:maxcoord(11,1)),le(12,1:maxcoord(12,1)),ysum(12,1:maxcoord(12,1)),le(13,1:maxcoord(13,1)),ysum(13,1:maxcoord(13,1)),le(14,1:maxcoord(14,1)),ysum(14,1:maxcoord(14,1)),le(15,1:maxcoord(15,1)),ysum(15,1:maxcoord(15,1)),le(16,1:maxcoord(16,1)),ysum(16,1:maxcoord(16,1)),le(17,1:maxcoord(17,1)),ysum(17,1:maxcoord(17,1)),le(18,1:maxcoord(18,1)),ysum(18,1:maxcoord(18,1)),le(19,1:maxcoord(19,1)),ysum(19,1:maxcoord(19,1)),le(20,1:maxcoord(20,1)),ysum(20,1:maxcoord(20,1)))
%     hold on
%     h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
%     plot(xevalue(11,:),bvalue(11,:),'s-',xevalue(12,:),bvalue(12,:),'o-',xevalue(13,:),bvalue(13,:),'^-',xevalue(14,:),bvalue(14,:),'v-',xevalue(15,:),bvalue(15,:),'<-',xevalue(16,:),bvalue(16,:),'>-',xevalue(17,:),bvalue(17,:),'d-',xevalue(18,:),bvalue(18,:),'p-',xevalue(19,:),bvalue(19,:),'h-',xevalue(20,:),bvalue(20,:),'*-')
%     title('BFLEX 2010 - Compressive load versus end shortening - Pext = 4 MPa')
%     xlabel('End shortening (%\DeltaL/L)')
%     ylabel('Force [MN]')
%     axis([0 0.35 0 3.5]);
%    
%     trykknavn2 = '-pekst=4';
%     multiname = [vaz6 trykknavn2 jpg];
%     saveas(gcf, [multiname]);
%     hold off
%     end
% end

% if plotnewestmulti == 1
% 
%     plot(cenew(1,1:maxcoord(1,1)),ysum(1,1:maxcoord(1,1)),cenew(2,1:maxcoord(2,1)),ysum(2,1:maxcoord(2,1)),cenew(3,1:maxcoord(3,1)),ysum(3,1:maxcoord(3,1)),cenew(4,1:maxcoord(4,1)),ysum(4,1:maxcoord(4,1)),cenew(5,1:maxcoord(5,1)),ysum(5,1:maxcoord(5,1)),cenew(6,1:maxcoord(6,1)),ysum(6,1:maxcoord(6,1)),cenew(7,1:maxcoord(7,1)),ysum(7,1:maxcoord(7,1)),cenew(8,1:maxcoord(8,1)),ysum(8,1:maxcoord(8,1)),cenew(9,1:maxcoord(9,1)),ysum(9,1:maxcoord(9,1)),cenew(10,1:maxcoord(10,1)),ysum(10,1:maxcoord(10,1)))
%     h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
%     title('BFLEX 2010 - Compressive load versus end shortening - Pext = 2 MPa')
%     xlabel('End shortening (%\DeltaL/L)')
%     ylabel('Force [MN]')
%     axis([0 0.55 0 3.5]);
%     hold on
%     plot(cenewvalue(1,:),bvalue(1,:),'s-',cenewvalue(2,:),bvalue(2,:),'o-',cenewvalue(3,:),bvalue(3,:),'^-',cenewvalue(4,:),bvalue(4,:),'v-',cenewvalue(5,:),bvalue(5,:),'<-',cenewvalue(6,:),bvalue(6,:),'>-',cenewvalue(7,:),bvalue(7,:),'d-',cenewvalue(8,:),bvalue(8,:),'p-',cenewvalue(9,:),bvalue(9,:),'h-',cenewvalue(10,:),bvalue(10,:),'*-')
% 
%     trykknavn2 = '-pekst=2';
%     multiname = [vaz6 trykknavn2 jpg];
%     saveas(gcf, [multiname]);
%     hold off
% 
%     if nant > 10
%     plot(cenew(11,1:maxcoord(11,1)),ysum(11,1:maxcoord(11,1)),cenew(12,1:maxcoord(12,1)),ysum(12,1:maxcoord(12,1)),cenew(13,1:maxcoord(13,1)),ysum(13,1:maxcoord(13,1)),cenew(14,1:maxcoord(14,1)),ysum(14,1:maxcoord(14,1)),cenew(15,1:maxcoord(15,1)),ysum(15,1:maxcoord(15,1)),cenew(16,1:maxcoord(16,1)),ysum(16,1:maxcoord(16,1)),cenew(17,1:maxcoord(17,1)),ysum(17,1:maxcoord(17,1)),cenew(18,1:maxcoord(18,1)),ysum(18,1:maxcoord(18,1)),cenew(19,1:maxcoord(19,1)),ysum(19,1:maxcoord(19,1)),cenew(20,1:maxcoord(20,1)),ysum(20,1:maxcoord(20,1)))
%     hold on
%     h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
%     plot(cenewvalue(11,:),bvalue(11,:),'s-',cenewvalue(12,:),bvalue(12,:),'o-',cenewvalue(13,:),bvalue(13,:),'^-',cenewvalue(14,:),bvalue(14,:),'v-',cenewvalue(15,:),bvalue(15,:),'<-',cenewvalue(16,:),bvalue(16,:),'>-',cenewvalue(17,:),bvalue(17,:),'d-',cenewvalue(18,:),bvalue(18,:),'p-',cenewvalue(19,:),bvalue(19,:),'h-',cenewvalue(20,:),bvalue(20,:),'*-')
%     title('BFLEX 2010 - Compressive load versus end shortening - Pext = 4 MPa')
%     xlabel('End shortening (%\DeltaL/L)')
%     ylabel('Force [MN]')
%     axis([0 0.45 0 3.5]);
%    
%     trykknavn2 = '-pekst=4';
%     multiname = [vaz6 trykknavn2 jpg];
%     saveas(gcf, [multiname]);
%     hold off
%     end
% end

% Justerer x-aksen for eps-xx core slik at den starter ved t = 10


% 
% if plotnewest == 1
% for j = 1:nant
%     
%     %plot(ce(j,1:plength(j)),ysum(j,1:plength(j)));
%     plot(x(j,1:plength(j)),cenew(j,1:plength(j)));
%     axis('tight');
%     if j < 11
%         title('BFLEX 2010 - Axial force all layers - External pressure 2 MPa')
%     else
%         title('BFLEX 2010 - Axial force all layers - External pressure 4 MPa')
%     end
%     xlabel('End shortening (%\DeltaL/L)')
%     ylabel('Force [MN]')
%     if j == 1 || j == 11
%         legend('Friction 0.00','Location', 'NorthWest');
%     elseif j == 2 || j == 12
%         legend('Friction 0.01','Location', 'NorthWest');
%     elseif j == 3 || j == 13
%         legend('Friction 0.02','Location', 'NorthWest');
%     elseif j == 4 || j == 14
%         legend('Friction 0.04','Location', 'NorthWest');
%     elseif j == 5 || j == 15
%         legend('Friction 0.06','Location', 'NorthWest');        
%     elseif j == 6 || j == 16
%         legend('Friction 0.08','Location', 'NorthWest');  
%     elseif j == 7 || j == 17
%         legend('Friction 0.10','Location', 'NorthWest');  
%     elseif j == 8 || j == 18
%         legend('Friction 0.15','Location', 'NorthWest');        
%     elseif j == 9 || j == 19
%         legend('Friction 0.20','Location', 'NorthWest');  
%     elseif j == 10 || j == 20
%         legend('Friction 0.40','Location', 'NorthWest');  
%     end
% 
%     % Endre filnavn
%     savename1 = [vaz7 nr mappenr jpg];
%     saveas(gcf,[savename1])
% end
% end



%
%
%

% if deltajuster == 1
%     
%     cenew = ce;
%     cedelta = zeros(10,1);
%     cedeltastep = zeros(10,1);
%    for j = 1:nant
%        if j == 1 || j == 11
%            
%        else
%        cedelta(j,1) = ce(j,30)-ce(j,20);
%        cedeltastep(j,1) = cedelta(j,1)/10;
%        for i = 1:10
%        cenew(j,i+11) = cenew(j,i+1) + 0.1*i*cedeltastep(j,1);
%        end
%        cenew(j,22:102) = cenew(j,22:102) + cedeltastep(j,1);
%        end
%    end
%    cenew(2,33) = 0.1466+cedeltastep(2,1);
% end

%

format short
maxvalue = zeros(nant,1);
maxcoord = zeros(nant,1);

% Lager plot med buckle linje

le = le * 100;
%ysum = ysum * (1/(cosd(30)^2));

for j = 1:nant

mappenr = num2str(j);
[m,n] = size(ysum);

maxcoord(j,1) = 1;
maxvalue(j,1) = ysum(j,1);
maxdispcord(j,1) = 1;
maxdisp(j,1) = ce(j,1);
    
    buckle = 0;
    for i = 2:n
    
        
    if ysum(j,i) >= maxvalue(j,1) && buckle == 0
        maxcoord(j,1) = i;
        maxvalue(j,1) = ysum(j,i);
        if i < 102
        if ysum(j,i+1) < ysum(j,i) 
            buckle = 1;
        end
        end
    end

   
    if ce(j,i) >= maxdisp(j,1) && i <= maxcoord(j,1)
        maxdisp(j,1) = ce(j,i);
        maxdispcord(j,1) = i;
    end

    end  

    if maxvalue(j,1) < 0.5
    tvalue(j,:) = [x(j,maxcoord(j,1)) x(j,maxcoord(j,1)) x(j,maxcoord(j,1)) x(j,maxcoord(j,1)) x(j,maxcoord(j,1))];
    xvalue(j,:) = [l(j,maxcoord(j,1)) l(j,maxcoord(j,1)) l(j,maxcoord(j,1)) l(j,maxcoord(j,1)) l(j,maxcoord(j,1))];
    evalue(j,:) = [ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1))];
    %xevalue(j,:) = [le(j,maxcoord(j,1)) le(j,maxcoord(j,1)) le(j,maxcoord(j,1)) le(j,maxcoord(j,1)) le(j,maxcoord(j,1))];
    %cenewvalue(j,:) = [cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1))];
    bvalue(j,:) = [maxvalue(j,1) maxvalue(j,1)*0.8 maxvalue(j,1)*0.6 maxvalue(j,1)*0.4 maxvalue(j,1)*0.2];
    b1value(j,:) = [ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1))-0.01 ce(j,maxcoord(j,1))-0.02 ce(j,maxcoord(j,1))-0.03 ce(j,maxcoord(j,1))-0.04];
    else
    tvalue(j,:) = [x(j,maxcoord(j,1)) x(j,maxcoord(j,1)) x(j,maxcoord(j,1)) x(j,maxcoord(j,1)) x(j,maxcoord(j,1))];    
    xvalue(j,:) = [l(j,maxcoord(j,1)) l(j,maxcoord(j,1)) l(j,maxcoord(j,1)) l(j,maxcoord(j,1)) l(j,maxcoord(j,1))];
    evalue(j,:) = [ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1))];   
    %xevalue(j,:) = [le(j,maxcoord(j,1)) le(j,maxcoord(j,1)) le(j,maxcoord(j,1)) le(j,maxcoord(j,1)) le(j,maxcoord(j,1))];
    %cenewvalue(j,:) = [cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1)) cenew(j,maxcoord(j,1))];    
    bvalue(j,:) = [maxvalue(j,1) maxvalue(j,1)-0.1 maxvalue(j,1)-0.15 maxvalue(j,1)-0.2 maxvalue(j,1)-0.25];
    b1value(j,:) = [ce(j,maxcoord(j,1)) ce(j,maxcoord(j,1))-0.01 ce(j,maxcoord(j,1))-0.02 ce(j,maxcoord(j,1))-0.03 ce(j,maxcoord(j,1))-0.04];
    end


    if plot_time_vs_force_final == 1

    xaxis = x(j,1:maxcoord(j,1));
    yaxis = ysum(j,1:maxcoord(j,1));
    plot(xaxis,yaxis);
    hold on
    plot(tvalue(j,:),bvalue(j,:));
    hold off
    %axis('tight');
    axis([0 51 0 5]);
    %axis([0 1 0 1]);
    if j < 11
        tekst51 = 'BFLEX 2010 - Time vs axial force all layers - External pressure ';
        title([tekst51 pres1 mpa])
    else
        tekst52 = 'BFLEX 2010 - Time vs axial force all layers - External pressure ';
        title([tekst52 pres2 mpa])
    end
    xlabel('Time (s)')
    ylabel('Force [MN]')
    if j == 1 || j == 11
        legend('Friction 0.00','Location', 'NorthWest');
    elseif j == 2 || j == 12
        legend('Friction 0.01','Location', 'NorthWest');
    elseif j == 3 || j == 13
        legend('Friction 0.02','Location', 'NorthWest');
    elseif j == 4 || j == 14
        legend('Friction 0.04','Location', 'NorthWest');
    elseif j == 5 || j == 15
        legend('Friction 0.06','Location', 'NorthWest');        
    elseif j == 6 || j == 16
        legend('Friction 0.08','Location', 'NorthWest');  
    elseif j == 7 || j == 17
        legend('Friction 0.10','Location', 'NorthWest');  
    elseif j == 8 || j == 18
        legend('Friction 0.15','Location', 'NorthWest');        
    elseif j == 9 || j == 19
        legend('Friction 0.20','Location', 'NorthWest');  
    elseif j == 10 || j == 20
        legend('Friction 0.40','Location', 'NorthWest');  
    end
    
    if singlehigh == 1;
    savename4 = [nyvaz41 nr mappenr png];
    print(gcf,'-dpng',[savename4],'-r600')   
    else
    savename4 = [nyvaz41 nr mappenr jpg];
    saveas(gcf,[savename4])
    end

    end
    
    
    
    if plot_time_vs_endshort_final == 1

    xaxis = x(j,1:maxcoord(j,1));
    yaxis = ce(j,1:maxcoord(j,1));
    plot(xaxis,yaxis);
    hold on
    plot(tvalue(j,:),b1value(j,:));
    hold off
    %axis('tight');
    axis([0 101 0 0.55]);
    %axis([0 1 0 1]);
    if j < 11
        tekst61 = 'BFLEX 2010 - Time vs end shortening in core - External pressure ';
        title([tekst61 pres1 mpa])
    else
        tekst62 = 'BFLEX 2010 - Time vs end shortening in core - External pressure ';
        title([tekst62 pres2 mpa])
    end
    xlabel('Time (s)')
    ylabel('End shortening (%\DeltaL/L)')
    if j == 1 || j == 11
        legend('Friction 0.00','Location', 'NorthWest');
    elseif j == 2 || j == 12
        legend('Friction 0.01','Location', 'NorthWest');
    elseif j == 3 || j == 13
        legend('Friction 0.02','Location', 'NorthWest');
    elseif j == 4 || j == 14
        legend('Friction 0.04','Location', 'NorthWest');
    elseif j == 5 || j == 15
        legend('Friction 0.06','Location', 'NorthWest');        
    elseif j == 6 || j == 16
        legend('Friction 0.08','Location', 'NorthWest');  
    elseif j == 7 || j == 17
        legend('Friction 0.10','Location', 'NorthWest');  
    elseif j == 8 || j == 18
        legend('Friction 0.15','Location', 'NorthWest');        
    elseif j == 9 || j == 19
        legend('Friction 0.20','Location', 'NorthWest');  
    elseif j == 10 || j == 20
        legend('Friction 0.40','Location', 'NorthWest');  
    end
    
    if singlehigh == 1;
    savename6 = [nyvaz51 nr mappenr png];
    print(gcf,'-dpng',[savename6],'-r600')   
    else
    savename6 = [nyvaz51 nr mappenr jpg];
    saveas(gcf,[savename6])
    end

    end
    
    if plot_endshort_vs_force_final == 1

    xaxis = ce(j,1:maxcoord(j,1));
    yaxis = ysum(j,1:maxcoord(j,1));
    plot(xaxis,yaxis);
    hold on
    plot(evalue(j,:),bvalue(j,:));
    hold off
    %axis('tight');
    axis([0 0.55 0 3]);
    %axis([0 1 0 1]);
    if j < 11
        tekst61 = 'BFLEX 2010 - End shortening vs Force - External pressure ';
        title([tekst61 pres1 mpa])
    else
        tekst62 = 'BFLEX 2010 - End shortening vs Force - External pressure ';
        title([tekst62 pres2 mpa])
    end
    xlabel('End shortening [%\DeltaL/L]')
    ylabel('Force [MN]')
    if j == 1 || j == 11
        legend('Friction 0.00','Location', 'NorthWest');
    elseif j == 2 || j == 12
        legend('Friction 0.01','Location', 'NorthWest');
    elseif j == 3 || j == 13
        legend('Friction 0.02','Location', 'NorthWest');
    elseif j == 4 || j == 14
        legend('Friction 0.04','Location', 'NorthWest');
    elseif j == 5 || j == 15
        legend('Friction 0.06','Location', 'NorthWest');        
    elseif j == 6 || j == 16
        legend('Friction 0.08','Location', 'NorthWest');  
    elseif j == 7 || j == 17
        legend('Friction 0.10','Location', 'NorthWest');  
    elseif j == 8 || j == 18
        legend('Friction 0.15','Location', 'NorthWest');        
    elseif j == 9 || j == 19
        legend('Friction 0.20','Location', 'NorthWest');  
    elseif j == 10 || j == 20
        legend('Friction 0.40','Location', 'NorthWest');  
    end
    
    if singlehigh == 1;
    savename7 = [nyvaz61 nr mappenr png];
    print(gcf,'-dpng',[savename7],'-r600')   
    else
    savename7 = [nyvaz61 nr mappenr jpg];
    saveas(gcf,[savename7])
    end

    end
    
end



if multiplot_time_vs_force_final == 1

    plot(tvalue(1,:),bvalue(1,:),'s-',tvalue(2,:),bvalue(2,:),'o-',tvalue(3,:),bvalue(3,:),'^-',tvalue(4,:),bvalue(4,:),'v-',tvalue(5,:),bvalue(5,:),'<-',tvalue(6,:),bvalue(6,:),'>-',tvalue(7,:),bvalue(7,:),'d-',tvalue(8,:),bvalue(8,:),'p-',tvalue(9,:),bvalue(9,:),'h-',tvalue(10,:),bvalue(10,:),'*-')
    h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
    titletxt1 = 'BFLEX 2010 - Time versus force in all layers - External pressure ';
    title([titletxt1 pres1 mpa],'FontSize',12)
    xlabel('Time [s]','FontSize',12)
    ylabel('Force [MN]','FontSize',12)
    axis([0 50 0 5]);
    hold on
    plot(x(1,1:maxcoord(1,1)),ysum(1,1:maxcoord(1,1)),x(2,1:maxcoord(2,1)),ysum(2,1:maxcoord(2,1)),x(3,1:maxcoord(3,1)),ysum(3,1:maxcoord(3,1)),x(4,1:maxcoord(4,1)),ysum(4,1:maxcoord(4,1)),x(5,1:maxcoord(5,1)),ysum(5,1:maxcoord(5,1)),x(6,1:maxcoord(6,1)),ysum(6,1:maxcoord(6,1)),x(7,1:maxcoord(7,1)),ysum(7,1:maxcoord(7,1)),x(8,1:maxcoord(8,1)),ysum(8,1:maxcoord(8,1)),x(9,1:maxcoord(9,1)),ysum(9,1:maxcoord(9,1)),x(10,1:maxcoord(10,1)),ysum(10,1:maxcoord(10,1)))
    multiname41 = [nyvaz42 pres1 mpa png];
    print(gcf,'-dpng',[multiname41],'-r600')
    hold off

    if nant > 10
    plot(tvalue(11,:),bvalue(11,:),'s-',tvalue(12,:),bvalue(12,:),'o-',tvalue(13,:),bvalue(13,:),'^-',tvalue(14,:),bvalue(14,:),'v-',tvalue(15,:),bvalue(15,:),'<-',tvalue(16,:),bvalue(16,:),'>-',tvalue(17,:),bvalue(17,:),'d-',tvalue(18,:),bvalue(18,:),'p-',tvalue(19,:),bvalue(19,:),'h-',tvalue(20,:),bvalue(20,:),'*-')
    h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
    titletxt2 = 'BFLEX 2010 - Time versus force in all layers - External pressure ';
    title([titletxt2 pres2 mpa],'FontSize',12)
    xlabel('Time [s]','FontSize',12)
    ylabel('Force [MN]','FontSize',12)
    axis([0 50 0 5]);
    hold on
    plot(x(11,1:maxcoord(11,1)),ysum(11,1:maxcoord(11,1)),x(12,1:maxcoord(12,1)),ysum(12,1:maxcoord(12,1)),x(13,1:maxcoord(13,1)),ysum(13,1:maxcoord(13,1)),x(14,1:maxcoord(14,1)),ysum(14,1:maxcoord(14,1)),x(15,1:maxcoord(15,1)),ysum(15,1:maxcoord(15,1)),x(16,1:maxcoord(16,1)),ysum(16,1:maxcoord(16,1)),x(17,1:maxcoord(17,1)),ysum(17,1:maxcoord(17,1)),x(18,1:maxcoord(18,1)),ysum(18,1:maxcoord(18,1)),x(19,1:maxcoord(19,1)),ysum(19,1:maxcoord(19,1)),x(20,1:maxcoord(20,1)),ysum(20,1:maxcoord(20,1)))
    multiname42 = [nyvaz42 pres2 mpa png];
    print(gcf,'-dpng',[multiname42],'-r600')
    hold off
    end
end

if multiplot_time_vs_endshort_final == 1

    plot(tvalue(1,:),b1value(1,:),'s-',tvalue(2,:),b1value(2,:),'o-',tvalue(3,:),b1value(3,:),'^-',tvalue(4,:),b1value(4,:),'v-',tvalue(5,:),b1value(5,:),'<-',tvalue(6,:),b1value(6,:),'>-',tvalue(7,:),b1value(7,:),'d-',tvalue(8,:),b1value(8,:),'p-',tvalue(9,:),b1value(9,:),'h-',tvalue(10,:),b1value(10,:),'*-')
    h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
    titletxt3 = 'BFLEX 2010 - Time versus end shortening in core - External pressure ';
    title([titletxt3 pres1 mpa],'FontSize',12)
    xlabel('Time [s]','FontSize',12)
    ylabel('End shortening (%\DeltaL/L)','FontSize',12)
    axis([0 70 0 0.55]);
    hold on
    plot(x(1,1:maxcoord(1,1)),ce(1,1:maxcoord(1,1)),x(2,1:maxcoord(2,1)),ce(2,1:maxcoord(2,1)),x(3,1:maxcoord(3,1)),ce(3,1:maxcoord(3,1)),x(4,1:maxcoord(4,1)),ce(4,1:maxcoord(4,1)),x(5,1:maxcoord(5,1)),ce(5,1:maxcoord(5,1)),x(6,1:maxcoord(6,1)),ce(6,1:maxcoord(6,1)),x(7,1:maxcoord(7,1)),ce(7,1:maxcoord(7,1)),x(8,1:maxcoord(8,1)),ce(8,1:maxcoord(8,1)),x(9,1:maxcoord(9,1)),ce(9,1:maxcoord(9,1)),x(10,1:maxcoord(10,1)),ce(10,1:maxcoord(10,1)))
    multiname41 = [nyvaz52 pres1 mpa png];
    print(gcf,'-dpng',[multiname41],'-r600')
    hold off

    if nant > 10
    plot(tvalue(11,:),b1value(11,:),'s-',tvalue(12,:),b1value(12,:),'o-',tvalue(13,:),b1value(13,:),'^-',tvalue(14,:),b1value(14,:),'v-',tvalue(15,:),b1value(15,:),'<-',tvalue(16,:),b1value(16,:),'>-',tvalue(17,:),b1value(17,:),'d-',tvalue(18,:),b1value(18,:),'p-',tvalue(19,:),b1value(19,:),'h-',tvalue(20,:),b1value(20,:),'*-')
    h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
    titletxt4 = 'BFLEX 2010 - Time versus end shortening in core - External pressure ';
    title([titletxt4 pres2 mpa],'FontSize',12)
    xlabel('Time [s]','FontSize',12)
    ylabel('End shortening (%\DeltaL/L)','FontSize',12)
    axis([0 70 0 0.50]);
    hold on
    plot(x(11,1:maxcoord(11,1)),ce(11,1:maxcoord(11,1)),x(12,1:maxcoord(12,1)),ce(12,1:maxcoord(12,1)),x(13,1:maxcoord(13,1)),ce(13,1:maxcoord(13,1)),x(14,1:maxcoord(14,1)),ce(14,1:maxcoord(14,1)),x(15,1:maxcoord(15,1)),ce(15,1:maxcoord(15,1)),x(16,1:maxcoord(16,1)),ce(16,1:maxcoord(16,1)),x(17,1:maxcoord(17,1)),ce(17,1:maxcoord(17,1)),x(18,1:maxcoord(18,1)),ce(18,1:maxcoord(18,1)),x(19,1:maxcoord(19,1)),ce(19,1:maxcoord(19,1)),x(20,1:maxcoord(20,1)),ce(20,1:maxcoord(20,1)))
    multiname42 = [nyvaz52 pres2 mpa png];
    print(gcf,'-dpng',[multiname42],'-r600')
    hold off
    end
end

if multiplot_endshort_vs_force_final == 1
   
    plot(evalue(1,:),bvalue(1,:),'s-',evalue(2,:),bvalue(2,:),'o-',evalue(3,:),bvalue(3,:),'^-',evalue(4,:),bvalue(4,:),'v-',evalue(5,:),bvalue(5,:),'<-',evalue(6,:),bvalue(6,:),'>-',evalue(7,:),bvalue(7,:),'d-',evalue(8,:),bvalue(8,:),'p-',evalue(9,:),bvalue(9,:),'h-',evalue(10,:),bvalue(10,:),'*-')
    h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
    titletxt3 = 'BFLEX 2010 - End shortening vs Force - External pressure ';
    title([titletxt3 pres1 mpa],'FontSize',12)
    xlabel('End shortening [%\DeltaL/L]','FontSize',12)
    ylabel('Force [MN]','FontSize',12)
    axis([0 0.55 0 2.55]);
    hold on
    plot(ce(1,1:maxcoord(1,1)),ysum(1,1:maxcoord(1,1)),ce(2,1:maxcoord(2,1)),ysum(2,1:maxcoord(2,1)),ce(3,1:maxcoord(3,1)),ysum(3,1:maxcoord(3,1)),ce(4,1:maxcoord(4,1)),ysum(4,1:maxcoord(4,1)),ce(5,1:maxcoord(5,1)),ysum(5,1:maxcoord(5,1)),ce(6,1:maxcoord(6,1)),ysum(6,1:maxcoord(6,1)),ce(7,1:maxcoord(7,1)),ysum(7,1:maxcoord(7,1)),ce(8,1:maxcoord(8,1)),ysum(8,1:maxcoord(8,1)),ce(9,1:maxcoord(9,1)),ysum(9,1:maxcoord(9,1)),ce(10,1:maxcoord(10,1)),ysum(10,1:maxcoord(10,1)))
    multiname41 = [nyvaz62 pres1 mpa png];
    print(gcf,'-dpng',[multiname41],'-r600')
    hold off

    if nant > 10
    plot(evalue(11,:),bvalue(11,:),'s-',evalue(12,:),bvalue(12,:),'o-',evalue(13,:),bvalue(13,:),'^-',evalue(14,:),bvalue(14,:),'v-',evalue(15,:),bvalue(15,:),'<-',evalue(16,:),bvalue(16,:),'>-',evalue(17,:),bvalue(17,:),'d-',evalue(18,:),bvalue(18,:),'p-',evalue(19,:),bvalue(19,:),'h-',evalue(20,:),bvalue(20,:),'*-')
    h = legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40',2);
    titletxt4 = 'BFLEX 2010 - End shortening vs Force - External pressure ';
    title([titletxt4 pres2 mpa],'FontSize',12)
    xlabel('End shortening [%\DeltaL/L]','FontSize',12)
    ylabel('Force [MN]','FontSize',12)
    axis([0 0.50 0 2.7]);
    hold on
    plot(ce(11,1:maxcoord(11,1)),ysum(11,1:maxcoord(11,1)),ce(12,1:maxcoord(12,1)),ysum(12,1:maxcoord(12,1)),ce(13,1:maxcoord(13,1)),ysum(13,1:maxcoord(13,1)),ce(14,1:maxcoord(14,1)),ysum(14,1:maxcoord(14,1)),ce(15,1:maxcoord(15,1)),ysum(15,1:maxcoord(15,1)),ce(16,1:maxcoord(16,1)),ysum(16,1:maxcoord(16,1)),ce(17,1:maxcoord(17,1)),ysum(17,1:maxcoord(17,1)),ce(18,1:maxcoord(18,1)),ysum(18,1:maxcoord(18,1)),ce(19,1:maxcoord(19,1)),ysum(19,1:maxcoord(19,1)),ce(20,1:maxcoord(20,1)),ysum(20,1:maxcoord(20,1)))
    multiname42 = [nyvaz62 pres2 mpa png];
    print(gcf,'-dpng',[multiname42],'-r600')
    hold off
    end
end



format short

for j = 1:nant
   
    if adjust_endshort == 1
        
        deltaepsilon = ce(10,22);
        kforcefac = y1(10,21)/(y1(10,31)-y1(10,21));
        deltaeps = deltaepsilon*kforcefac;

%         if plength(1,j) > 30
%             kforcefac(j,1) = y1(j,21)/(y1(j,31)-y1(j,21));
%             deltaeps(j,1) = (ce(j,31)-ce(j,21))*kforcefac(j,1);
%         
%         elseif plength(1,j) > 21 && plength(1,j) <= 30
%             hjelper1 = 10*(y1(j,plength(j))-y1(j,21))/(plength(j)-21);
%             kforcefac(j,1) = y1(j,21)/(hjelper1);
%             deltaeps(j,1) = 10*kforcefac(j,1)*(ce(j,plength(1,j)) - ce(j,21))/(plength(1,j)-21);
%         else
%             kforcefac(j,1) = 1;
%             deltaeps(j,1) = 0;
%         end

        for i = 1:10
            endshort(j,i+11) = ce(j,i+11) + 0.1*i*deltaeps(1,1);
        end
        for i = 22:plength(j)
            endshort(j,i) = ce(j,i) + deltaeps(1,1);
        end

    end
    
    if plot_adjust_endshort_vs_force == 1
        
    end
    
    for i = 1:5
    modevalue(j,i) = evalue(j,i) + deltaeps(1,1);
    end
    
end

maxdispcord = maxdispcord-1;


for j = 1:nant
    
    vline = endshort(j,maxdispcord(j,1));
    vlinevalue = ysum(j,maxdispcord(j,1));
    vlinex(j,:) = [vline vline vline vline vline];
    vliney(j,:) = [vlinevalue vlinevalue-0.05 vlinevalue-0.1 vlinevalue-0.15 vlinevalue-0.2];
    
end

if multiplot_endshort_adjusted_vs_force == 1
    plot(vlinex(1,:),vliney(1,:),'s-',vlinex(2,:),vliney(2,:),'o-',vlinex(3,:),vliney(3,:),'^-',vlinex(4,:),vliney(4,:),'v-',vlinex(5,:),vliney(5,:),'<-',vlinex(6,:),vliney(6,:),'>-',vlinex(7,:),vliney(7,:),'d-',vlinex(8,:),vliney(8,:),'p-',vlinex(9,:),vliney(9,:),'h-',vlinex(10,:),vliney(10,:),'*-')
    hold on
    plot(endshort(1,1:maxdispcord(1)),ysum(1,1:maxdispcord(1)),endshort(2,1:maxdispcord(2)),ysum(2,1:maxdispcord(2)),endshort(3,1:maxdispcord(3)),ysum(3,1:maxdispcord(3)),endshort(4,1:maxdispcord(4)),ysum(4,1:maxdispcord(4)),endshort(5,1:maxdispcord(5)),ysum(5,1:maxdispcord(5)),endshort(6,1:maxdispcord(6)),ysum(6,1:maxdispcord(6)),endshort(7,1:maxdispcord(7)),ysum(7,1:maxdispcord(7)),endshort(8,1:maxdispcord(8)),ysum(8,1:maxdispcord(8)),endshort(9,1:maxdispcord(9)),ysum(9,1:maxdispcord(9)), endshort(10,1:maxdispcord(10)),ysum(10,1:maxdispcord(10)))
    axis([0 2.7 0 8.5]);
    ttekst1 = 'BFLEX 2010 - End shortening versus axial force all layers - External pressure ';
    trykk1 = num2str(pext1);
    ttekst2 = ' MPa';
    title([ttekst1 trykk1 ttekst2],'FontSize',12)   
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('End shortening (%\DeltaL/L)','FontSize',12)
    ylabel('Force [MN]','FontSize',12)
    multiname3 = [nyvaz32 trykk1 ttekst2 png];
    print(gcf,'-dpng',[multiname3],'-r600')
    %hold off

    if nant > 10
    plot(vlinex(11,:),vliney(11,:),'s-',vlinex(12,:),vliney(12,:),'o-',vlinex(13,:),vliney(13,:),'^-',vlinex(14,:),vliney(14,:),'v-',vlinex(15,:),vliney(15,:),'<-',vlinex(16,:),vliney(16,:),'>-',vlinex(17,:),vliney(17,:),'d-',vlinex(18,:),vliney(18,:),'p-',vlinex(19,:),vliney(19,:),'h-',vlinex(20,:),vliney(20,:),'*-')
    hold on
    plot(endshort(11,1:maxdispcord(11)),ysum(11,1:maxdispcord(11)), endshort(12,1:maxdispcord(12)),ysum(12,1:maxdispcord(12)), endshort(13,1:maxdispcord(13)),ysum(13,1:maxdispcord(13)), endshort(14,1:maxdispcord(14)),ysum(14,1:maxdispcord(14)), endshort(15,1:maxdispcord(15)),ysum(15,1:maxdispcord(15)), endshort(16,1:maxdispcord(16)),ysum(16,1:maxdispcord(16)), endshort(17,1:maxdispcord(17)),ysum(17,1:maxdispcord(17)), endshort(18,1:maxdispcord(18)),ysum(18,1:maxdispcord(18)), endshort(19,1:maxdispcord(19)),ysum(19,1:maxdispcord(19)), endshort(20,1:maxdispcord(20)),ysum(20,1:maxdispcord(20)))
    axis([0 3 0 8.5]);
    ttekst1 = 'End shortening versus axial force all layers - External pressure ';
    trykk2 = num2str(pext2);
    ttekst2 = ' MPa';
    moretext = ' and ';
    title([ttekst1 trykk1 moretext trykk2 ttekst2],'FontSize',12)  
    legend('0.00','0.01','0.02','0.04','0.06','0.08','0.10','0.15','0.20','0.40','Location', 'NorthWest');
    xlabel('End shortening (%\DeltaL/L)','FontSize',12)
    ylabel('Force [MN]','FontSize',12)
    multiname3 = [nyvaz32 trykk2 ttekst2 png];
    print(gcf,'-dpng',[multiname3],'-r600')
    hold off
    end
end