% Skriver en tekstfil som kan kjres i Cygwin.
% Spesifiser hvor mange analyser du vil kjre og resten gr automatisk
% Du kan ogs bestemme hvilke variabler som skal endres
% For  kjre i Cygwin: endre navn fra "inputscript.txt" til "inputscript"
% Dersom det ikke funker, skriv "dos2unix inputscript" i Cygwin

clear all
close all
clc
%format shorteng
format short

% Inputparameters
analyser = 2;           % Number of analysis to be performed
inputfric = 0.1;        % Friction factor for single analysis
inputpex = 2;           % External pressure for single analysis
stivhetsred = 1;        % Factor to modify predescribed stiffness
pdispfac = 1;           % Factor to modify predescribed displacements
beskrivelse = 'elemx2_'; % Used in the folder name
multianalysenr = 1;     % Number added to the end of the folder name

if analyser == 1
    vazvariasjon = 0;
else
    vazvariasjon = 3;   % 1 = 20 stk, 2 = 8 stk, 3 = 10stk
end 

% Autoinput
if vazvariasjon == 1
    analyser = 20;
elseif vazvariasjon == 2
    analyser = 8;
elseif vazvariasjon == 3
    analyser = 10;
else
    analyser = 1;
end

% Faste inputparametere for vaz analyser
inputfilnavn = 'vazv2_';
friksjonsvektor = [0 0.01 0.02 0.04 0.06 0.08 0.1 0.15 0.2 0.4];
pekstvektor = [2 4];
pekstvektoralle = [0 1 2 4 6 8 10 15];

% pning av filen det skrives til
ut = fopen('go-analyze', 'w');

% Startkommando for  f scriptet til  kjre i Cygwin
tekst = '#! /bin/sh';
fprintf(ut,'%s \n \n' , tekst);

% For  legge dato og klokkeslett i navn p mappen analysene havner i
T = clock; aar = T(1); mnd = T(2); dag = T(3); timen = T(4); minutt = T(5);

% Skriver generering av mappe med mappenavn til fil
fprintf(ut,'mkdir Analyse\n');
fprintf(ut,'cp go-analyze Analyse/go-analyze\n',inputfilnavn);
fprintf(ut,'cp go-plot Analyse/go-plot\n');
fprintf(ut,'cp %s%i.2bif Analyse/%s%i.2bif\n',inputfilnavn, multianalysenr, inputfilnavn, multianalysenr);
fprintf(ut,'cp mplot_oc.2bpi Analyse/mplot_oc.2bpi\n');
fprintf(ut,'chmod -R a+r,u+w Analyse\n');
fprintf(ut,'cd Analyse\n');
fprintf(ut,'mkdir matrixplots\n\n');

% Antall analyser for  sjekke om kun en analyse skal kjres.
nant = analyser;
teller = 1;
tall = 1;

for nr = 1:analyser

if nant == 1
    friksjon = inputfric;
    pekst = inputpex;
else
    
    if vazvariasjon == 1 || vazvariasjon == 3

    % Varierer friksjon og trykk i henhold til fig 7 i artikkelen fra Vaz.
    
    nhalf = analyser/2;

    if nr == 11 || nr == 21 || nr == 31 || nr == 41 || nr == 51 || nr == 61 || nr == 71
        teller = teller - 10;
        tall = tall + 1;
    end
    
    friksjon = friksjonsvektor(teller)
    pekst = pekstvektor(tall)

    teller = teller + 1;

    else
    
    friksjon = inputfric
    pekst = pekstvektoralle(nr)
    
    end
end

% Writing lines to file one by one
fprintf(ut,'# Analyse nr %i\n', nr);
fprintf(ut,'mkdir analyse%i\n', nr);
fprintf(ut,'cp %s%i.2bif analyse%i/input.2bif\n',inputfilnavn, multianalysenr, nr);
fprintf(ut,'cp mplot_oc.2bpi analyse%i/mplot_oc.2bpi\n',nr);
fprintf(ut,'cp go-plot analyse%i/go-plot\n',nr);
fprintf(ut,'erzatz   "#toppteksten"        "BFLEX2010 %s%i 9.5 inch flexible pipe case study - fric %i , pext %i"         analyse%i/input.2bif\n', inputfilnavn, multianalysenr, friksjon, pekst, nr);
fprintf(ut,'erzatz   "#fric"        "%i"        analyse%i/input.2bif\n', friksjon, nr);
fprintf(ut,'erzatz   "#pext"        "%i"        analyse%i/input.2bif\n', pekst, nr);
fprintf(ut,'erzatz   "#pdispfac"        "%i"        analyse%i/input.2bif\n', pdispfac, nr);
fprintf(ut,'erzatz   "#stiffred"        "%i"        analyse%i/input.2bif\n', stivhetsred, nr);
fprintf(ut,'cd analyse%i\n',nr);
fprintf(ut,'bflex2010 << eod\n');
fprintf(ut,'input\n');
fprintf(ut,'eod\n');
fprintf(ut,'. go-plot\n');
fprintf(ut,'cd ..\n');
fprintf(ut,'mkdir matrixplots/analyse%i\n', nr);
fprintf(ut,'cp -R analyse%i/matrixplots_original matrixplots/analyse%i\n', nr, nr);
fprintf(ut,'mv analyse%i Analyse%i_fric=%i_pekst=%i\n', nr, nr, friksjon, pekst);
fprintf(ut,'\n');
end
fprintf(ut,'cd ..\n');
fprintf(ut,'mv Analyse Analyse_%i_%i_%i_%i_%i_%s%i\n', aar, mnd, dag, timen, minutt, beskrivelse, multianalysenr);
% Closing file
fclose(ut);